# Generated by Django 3.1.7 on 2021-03-13 13:24

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Merchandiser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('surname', models.CharField(max_length=155, verbose_name='surname')),
                ('first_name', models.CharField(max_length=155, verbose_name='first_name')),
                ('patronymic', models.CharField(blank=True, max_length=155, null=True, verbose_name='patronymic')),
                ('passport_series', models.CharField(max_length=255, verbose_name='passport_series')),
                ('passport_number', models.CharField(max_length=255, verbose_name='passport_number')),
                ('phone', models.CharField(max_length=11, verbose_name='phone')),
                ('black_list', models.BooleanField(default=False)),
                ('request_id', models.CharField(max_length=55, verbose_name='request_id')),
            ],
        ),
        migrations.CreateModel(
            name='MerchandiserEmployerBind',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('barcode_str', models.CharField(max_length=35, null=True)),
                ('barcode_dir', models.FilePathField(null=True, path=models.CharField(max_length=35, null=True))),
                ('barcode_binary', models.BinaryField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Store',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tt_name', models.CharField(max_length=155)),
                ('tt_code', models.CharField(max_length=155)),
                ('frmt', models.CharField(max_length=2)),
                ('email', models.EmailField(max_length=254, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Schedule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('curator_email', models.EmailField(max_length=254, verbose_name='curator_email')),
                ('curator_phone', models.CharField(max_length=11, verbose_name='curator_phone')),
                ('work_start_date', models.DateField(verbose_name='work_start_date')),
                ('visit_duration', models.PositiveSmallIntegerField(verbose_name='visit_duration')),
                ('vacation_start', models.DateField(blank=True, null=True, verbose_name='vacation_start')),
                ('vacation_end', models.DateField(blank=True, null=True, verbose_name='vacation_end')),
                ('provider_name', models.CharField(max_length=155, verbose_name='provider_name')),
                ('visit_weekday', models.CharField(blank=True, choices=[('monday', 'monday'), ('tuesday', 'tuesday'), ('wednesday', 'wednesday'), ('thursday', 'thursday'), ('friday', 'friday'), ('saturday', 'saturday'), ('sunday', 'sunday')], max_length=9, null=True, verbose_name='visit_weekday')),
                ('work_shifts', models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(7)], verbose_name='work_shifts')),
                ('weekend_shifts', models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(7)], verbose_name='weekend_shifts')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='updated_at')),
                ('is_active', models.BooleanField(default=True, verbose_name='is_active')),
                ('is_vacation', models.BooleanField(default=False, verbose_name='is_vacation')),
                ('is_sick', models.BooleanField(default=False, verbose_name='is_sick')),
                ('request_id', models.CharField(max_length=55, verbose_name='request_id')),
                ('bind', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='schedules', to='api.merchandiseremployerbind')),
                ('store', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='api.store', verbose_name='store')),
            ],
        ),
    ]
